javax.portlet

## Interface PortletURLGenerationListener

    public interface PortletURLGenerationListener

Portlet applications can register portlet URL listeners in order to filter URLs before they get generated. In order to receive a callback from the portlet container before a portlet URL is generated the portlet application needs to implement this interface and register it in the deployment descriptor with the `listener` element.

Since:
  2.0

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `filterActionURL(PortletURL actionURL)` Callback being called by the portlet container before `toString` or `write` are executed on action URLs.
`void` `filterRenderURL(PortletURL renderURL)` Callback being called by the portlet container before `toString` or `write` are executed on render URLs.
`void` `filterResourceURL(ResourceURL resourceURL)` Callback being called by the portlet container before `toString` or `write` are executed on resource URLs.

### Method Detail

#### filterActionURL

    void filterActionURL(PortletURL actionURL)

Callback being called by the portlet container before `toString` or `write` are executed on action URLs.

Parameters:
  `actionURL` - action URL to be generated

#### filterRenderURL

    void filterRenderURL(PortletURL renderURL)

Callback being called by the portlet container before `toString` or `write` are executed on render URLs.

Parameters:
  `renderURL` - render URL to be generated

#### filterResourceURL

    void filterResourceURL(ResourceURL resourceURL)

Callback being called by the portlet container before `toString` or `write` are executed on resource URLs.

Parameters:
  `resourceURL` - resource URL to be generated